EventBuffer::read
EventBuffer::readLine
EventBuffer
PHP Manual

# EventBuffer::readFrom

Read data from a file onto the end of the buffer

### Description

public string EventBuffer::read ( mixed `$fd` , int `$howmuch` )

Read data from the file specified by `fd` onto the end of the buffer.

### Parameters

`fd`

  Socket resource, stream, or numeric file descriptor.

`howmuch`

  Maxmimum number of bytes to read.

### Return Values

Returns the number of bytes read, or `FALSE` on failure.

### See Also

- EventBuffer::copyout
- EventBuffer::drain
- EventBuffer::pullup
- EventBuffer::readLine
- EventBuffer::appendFrom